sc::SOTransform(3)

NAME
sc::SOTransform - SOTransform maintains a list of AO shells that are be used to compute the SO.

SYNOPSIS

#include <sobasis.h>

  Public Member Functions
void set_naoshell (int n)
void add_transform (int aoshell, int irrep, double coef, int aofunc, int sofunc)
Adds another term to the transform.

  Public Attributes
int naoshell_allocated
int naoshell
The number of AO shells that make up this SO shell.
SOTransformShell * aoshell
The SOTransformShell object for each AO.

Detailed Description

SOTransform maintains a list of AO shells that are be used to compute the SO. The information is stored in objects of type SOTransformShell.

Author

Generated automatically by Doxygen for MPQC from the source code.